/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef UNIFORM_H_
#define UNIFORM_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <fstream>
#include <iostream>
#include <GL/glew.h>
#include "opengl.h"

using namespace std;

//---------------------------------------------------------------------------

class UNIFORM
{
public:	
	/* Function */
	void CreateShader();
	void CreateProgram();
	void Location(unsigned int index, const char* bind);
	void Uniform(const char* name ,const int id);
	void DeleteShader();	

private:

	GLuint location;
	fstream fst1;
	fstream fst2;

	struct flyprogram
	{
		unsigned int program;
		const GLchar* tmp;
		GLuint fragment;
		GLuint vertex;
		GLint result;
		GLint info;
		char *log;
	};

	struct flyfile
	{
		struct flyprogram u;
		struct flyprogram v;
		struct flyprogram f;
		
	}shader;
};

//---------------------------------------------------------------------------

#endif
